Commit cd5a216a authored by Tristan Matthews's avatar Tristan Matthews

* #9381: use PKG_CHECK_MODULES to test for yaml

parent ae6da576
......@@ -122,6 +122,9 @@ dnl Check for uuid development package - name: uuid-dev
UUID_MIN_VERSION=1.0
PKG_CHECK_MODULES(UUID, uuid >= ${UUID_MIN_VERSION}, HAVE_UUID=true, HAVE_UUID=false);
YAML_MIN_VERSION=0.1.0
PKG_CHECK_MODULES(YAML, yaml-0.1 >= ${YAML_MIN_VERSION}, ,AC_MSG_ERROR([Missing yaml development files]));
LIBCRYPTO_MIN_VERSION=1.0
PKG_CHECK_MODULES(LIBCRYPTO, libcrypto >= ${LIBCRYPTO_MIN_VERSION}, HAVE_LIBCRYPTO=true, HAVE_LIBCRYPTO=false);
......@@ -164,10 +167,6 @@ CXXFLAGS="${CXXFLAGS} -g -Wno-return-type -Wall -Wextra -Wnon-virtual-dtor -Weff
AX_LIB_EXPAT
AC_SEARCH_LIBS([yaml_parser_initialize], [yaml], [], [
AC_MSG_ERROR([Unable to find yaml development files])
])
AX_PTHREAD
AX_PATH_LIB_PCRE
......
......@@ -14,3 +14,4 @@ noinst_HEADERS = \
yamlnode.h
libconfig_la_CXXFLAGS = -I $(top_srcdir)/src
libconfig_la_LDFLAGS = @YAML_LIBS@
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment